Subject: bug#53695: closed (Re: bug#53695: trash-cli crashes)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 15 Feb 2022 09:42:01 +0000

Your bug report

#53695: trash-cli crashes

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53695: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53695
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53695: trash-cli crashes
From: Lars-Dominik Braun <[email-masked]>
To: Simon Streit <[email-masked]>
Cc: [email-masked], Brice Waegeneire <[email-masked]>
Date: Tue, 15 Feb 2022 10:41:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

> It still is.  My system is at 47eb897bd377f87854335a6d0cc711b94cb8589e.
> I just put it into my system declaration again to see if it works, and
> that it is not my user profiles breaking them.
I looked into this issue and fixed it in commit
b5853e08979bcbecbf43f320bb99564a4a656160. The problem seemed to be the
unorthodox way of installing scripts.

Cheers,
Lars

Subject: trash-cli crashes
From: Simon Streit <[email-masked]>
To: [email-masked]
Date: Tue, 01 Feb 2022 13:33:19 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

With trash-cli's last update, it doesn't work any more and exits with
the following error:

--8<---------------cut here---------------start------------->8---
Traceback (most recent call last):
  File "/home/ss2/.guix-profile/bin/trash-list", line 4, in <module>
    from trashcli.list import main as main
ModuleNotFoundError: No module named 'trashcli'
--8<---------------cut here---------------end--------------->8---

I've tried to come up with a solution, but none work so far.

Kind regards
Simon